golang-toml (0.3.1-2) UNRELEASED; urgency=medium

  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Name.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 10 Aug 2019 22:10:09 +0000

golang-toml (0.3.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.3.1
  * Apply "cme fix dpkg" fixes
    - compat: '9' -> '12'
    - control source Standards-Version: '4.0.0' -> '4.4.0'
    - control source Priority: 'extra' -> 'optional'
    - control source Testsuite has new value: 'autopkgtest-pkg-go'
    - control source Build-Depends:0: 'debhelper (>= 9)' -> 'debhelper (>= 12~)'
  * Update Maintainer email address to team+pkg-go@tracker.debian.org

 -- Anthony Fok <foka@debian.org>  Sat, 27 Jul 2019 02:00:48 -0600

golang-toml (0.3.0+git20170626.7.a368813-1) unstable; urgency=medium

  * New upstream version 0.3.0+git20170626.7.a368813
  * Update debian/copyright to reflect upstream license change.
    It has been switched from WTFPL to MIT (Expat)
    with consent from all major contributors.
  * Update package description to indicate TOML v0.4.0 compatibility.
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright.

 -- Anthony Fok <foka@debian.org>  Wed, 28 Jun 2017 05:14:48 -0600

golang-toml (0.2.0+git20160717.21.9906417-1) unstable; urgency=medium

  [ Tim Potter ]
  * Add me as uploader

  [ Anthony Fok ]
  * New upstream snapshot

 -- Anthony Fok <foka@debian.org>  Fri, 14 Oct 2016 22:22:57 -0600

golang-toml (0.2.0-3) unstable; urgency=medium

  * Fix version comparison in Breaks and Replaces in debian/control

 -- Anthony Fok <foka@debian.org>  Wed, 08 Jun 2016 01:19:06 -0600

golang-toml (0.2.0-2) unstable; urgency=medium

  * Change Build-Depends to use "golang-any" instead of "golang-go"
  * Transition golang-toml-dev to golang-github-burntsushi-toml-dev
    for pkg-go policy compliance, especially now that other TOML libraries
    for Go are available
  * Note "TOML v0.2.0 compatibility" in package description
    and remove "golang-go | gccgo" from the library package's Depends field
  * Use secure https URLs for Vcs-Git too (Lintian)

 -- Anthony Fok <foka@debian.org>  Mon, 06 Jun 2016 12:25:46 -0600

golang-toml (0.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream relase (Closes: #822927)
  * Update standards version to 3.9.8

 -- Tim Potter <tpot@hpe.com>  Tue, 17 May 2016 15:20:03 +1000

golang-toml (0.1.0+git20160102.23.5c4df71-1) unstable; urgency=medium

  * New upstream snapshot: Fix endless loop in table name lexing.
  * Allow package to be installed with gccgo where golang-go is unavailable.
  * Update debian/copyright.

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2016 15:32:14 -0700

golang-toml (0.1.0+git20150501.21.056c9bc-1) unstable; urgency=medium

  * New upstream snapshot. Changes include:
    - Added support for UnmarshalTOML() interface.
    - Modified the `Unmarshaler` interface to `.UnmarshalTOML(v interface{})`
    - Support single-line raw strings.
    - Implement multiline strings and raw multiline strings.
    - Simplify lexer for Unicode escapes and add support for `\U`.
    - Forbid '#' in table names.
    - Remove escape for '/'.
    - Support quoted keys.
    - Updated link for TOML v0.2.0
    - Support for omitempty, as well as tests for omitempty.
    - Clean up, remove zero as 'empty' and add 'omitzero' option
  * Refresh debian/gbp.conf
  * Update debian/control: Update Vcs-Browser, add XS-Go-Import-Path, etc.
  * Add an actual entry in debian/watch in case Upstream do make a tarball
    release in the future.

 -- Anthony Fok <foka@debian.org>  Thu, 24 Dec 2015 13:03:32 -0700

golang-toml (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Document license of type_fields.go. Thanks Paul Tagliamonte for
    pointing this out.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Jan 2015 02:22:32 +0100

golang-toml (0.0~git20140508-1) unstable; urgency=medium

  * Initial release. (Closes: #776030)

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 May 2014 03:03:37 +0200
